Fórum Debian
[RESOLVIDO] Erro ao abrir qualquer vídeo no Gnome-Subtitle - Versão para Impressão

+- Fórum Debian (http://www.forumdebian.com.br)
+-- Fórum: Debian (/forum-4.html)
+--- Fórum: Software (/forum-14.html)
+--- Tópico: [RESOLVIDO] Erro ao abrir qualquer vídeo no Gnome-Subtitle (/thread-1433.html)



[RESOLVIDO] Erro ao abrir qualquer vídeo no Gnome-Subtitle - GuidjeLeGamba - 30/05/2010 22:06

Prezados,

Boa-noite. Instalei o Gnome-Subtitles a partir dos repositórios do Lenny.

Quando abro qualquer arquivo de legenda, aparece-me a mensagem:

"Não foi possível abrir o arquivo /media/dados/Filmes/NOME_DO_FILME.avi.

Por favor, certifique-se de que o arquivo de vídeo é suportado."


Sei que no Ubuntu existe uma dependência não referenciada, de maneira que é necessário instalar manualmente uma biblioteca após a instalação do programa pelo apt-get. Segui os mesmos passos que no Ubuntu mas sem sucesso.

Verifiquei meus codecs, também, e aparentemente está tudo instalado (aqueles gstreamer "bad", "ugly", etc).

Fico no aguardo de alguma ajuda. Um abraço! :mrgreen:


Re: Erro ao abrir qualquer vídeo no Gnome-Subtitle - sistematico - 31/05/2010 01:52

O Gnome-Subtitles é para arquivos *.srt(legenda) e não para arquivos *.avi(video) apesar de abrir os vídeos posteriormente se o mesmo tiver o mesmo nome do arquivo de legenda.


Re: Erro ao abrir qualquer vídeo no Gnome-Subtitle - GuidjeLeGamba - 01/06/2010 00:33

sistematico Escreveu:O Gnome-Subtitles é para arquivos *.srt(legenda) e não para arquivos *.avi(video) apesar de abrir os vídeos posteriormente se o mesmo tiver o mesmo nome do arquivo de legenda.

Quando a gente abre as legendas (arquivos srt, ssa, sub, etc), se os dois arquivos estiverem com o mesmo nome (por exemplo: a legenda como "FILME.srt" e o filme como "FILME.avi") o Gnome-Subtitles tenta a reprodução automática do filme. É daí que o erro acontece.

Acho que é meio óbvia a função do programa e o problema que estou enfrentando... :roll:

Em todo o caso, se não havia ficado claro, agora o está? :wink:


Re: Erro ao abrir qualquer vídeo no Gnome-Subtitle - sistematico - 01/06/2010 00:49

Código:
[[email protected]:~] dpkg -l | grep gstreamer
ii  gir1.0-gstreamer-0.10                 0.10.29-1                      Description: GObject introspection data for the GStreamer librar
ii  gstreamer0.10-alsa                    0.10.29-1                      GStreamer plugin for ALSA
ii  gstreamer0.10-ffmpeg                  0.10.10-1                      FFmpeg plugin for GStreamer
ii  gstreamer0.10-fluendo-mp3             0.10.12.debian-2               Fluendo mp3 decoder GStreamer plugin
ii  gstreamer0.10-lame                    0.10.14-0.2                    GStreamer lame plugin
ii  gstreamer0.10-nice                    0.0.10-2                       ICE library (GStreamer plugin)
ii  gstreamer0.10-plugins-bad             0.10.18-2+b1                   GStreamer plugins from the "bad" set
ii  gstreamer0.10-plugins-base            0.10.29-1                      GStreamer plugins from the "base" set
ii  gstreamer0.10-plugins-good            0.10.22-1                      GStreamer plugins from the "good" set
ii  gstreamer0.10-plugins-really-bad      0.10.18-0.0                    GStreamer plugins from the "bad" set
ii  gstreamer0.10-plugins-ugly            0.10.14-1                      GStreamer plugins from the "ugly" set
ii  gstreamer0.10-tools                   0.10.29-1                      Tools for use with GStreamer
ii  gstreamer0.10-x                       0.10.29-1                      GStreamer plugins for X11 and Pango
ii  gstreamer0.10-x264                    0.10.14-0.2                    GStreamer x264 plugin
ii  libgstreamer-plugins-base0.10-0       0.10.29-1                      GStreamer libraries from the "base" set
ii  libgstreamer0.10-0                    0.10.29-1                      Core GStreamer libraries and elements
Veja se o resultado desse comando é parecido com o meu.


Re: Erro ao abrir qualquer vídeo no Gnome-Subtitle - GuidjeLeGamba - 01/06/2010 08:31

sistematico,

Instalei o "gstreamer0.10-ffmpeg", um dos plugins que estavam diferentes (ou ausentes) com relação aos teus e funcionou.

Problema resolvido!

Mas fiquei com algumas dúvidas, olhe o meu resultado que explico melhor em seguida:
Citar:[email protected]:~$ dpkg -l | grep gstreamer
ii gstreamer0.10-alsa 0.10.19-2 GStreamer plugin for ALSA
ii gstreamer0.10-fluendo-mp3 0.10.7.debian-1 Fluendo mp3 decoder GStreamer plugin
ii gstreamer0.10-fluendo-mpegdemux 0.10.15-1 GStreamer plugin for demuxing of MPEG2 streams
ii gstreamer0.10-gnomevfs 0.10.19-2 GStreamer plugin for GnomeVFS
ii gstreamer0.10-lame 0.10.10-0.0 GStreamer lame plugins
ii gstreamer0.10-plugins-base 0.10.19-2 GStreamer plugins from the "base" set
ii gstreamer0.10-plugins-good 0.10.8-4.1~lenny2 GStreamer plugins from the "good" set
ii gstreamer0.10-plugins-really-bad 0.10.8-0.0 GStreamer plugins from the "bad" set
ii gstreamer0.10-plugins-ugly 0.10.8-1 GStreamer plugins from the "ugly" set
ii gstreamer0.10-x 0.10.19-2 GStreamer plugins for X11 and Pango
ii libgstreamer-plugins-base0.10-0 0.10.19-2 GStreamer libraries from the "base" set
ii libgstreamer0.10-0 0.10.19-3 Core GStreamer libraries and elements
Notaste as versões? Pois é... São antigas! Tu estás utilizando o Lenny também ou alguma versão mais recente? Se é o Lenny, qual repositório devo adicionar para obter as versões mais atuais?

Fora isso, te agradeço muito! Sorrisão Sorrisão Sorrisão

Um abraço!


Re: [RESOLVIDO] Erro ao abrir qualquer vídeo no Gnome-Subtitle - sistematico - 01/06/2010 23:20

O meu é o Squeeze.
Abraço.